Subject: bug#15998: 24.3; forward-sexp (scan-sexps) doesn't do well with some SEXPs

From: Stefan Monnier <[email-masked]>
Date: Sun, 01 Dec 2013 15:44:17 -0500

> I tried to fix the issue, and seemingly successful.
> But I found more to do newly, possibly.  Those are,

> 1. #s(...)          hash table
> 2. ^[...] ^^[...]   char table
> 3. #@NUMBER         comments
> 4. $!               beginning of executable file
> 5. ##               empty symbol

3 should only appear in .elc files and the mode used in .elc files
(emacs-lisp-byte-code-mode) already sets up syntax-propertize-function
to handle them correctly.

I don't know what 4 is.  Or do you mean "#!" as the first two chars of
the file?  We could setup syntax-propertize-function to mark them as
comments, indeed.

> I think doing for 1, 2, 5 are practically sufficient.

Sounds right.

        Stefan